# Fetch wallet payload for Samsung Pay in-app provisioning

Returns a wallet payload for adding the customer's card to their Samsung Pay wallet via request to the Samsung Pay API.    Note: This endpoint will trigger the change request process. The customer will receive a 2FA challenge to confirm the request.

Endpoint: POST /v1/cards/{card_id}/sca_push_provision/samsung
Version: 1.0

## Path parameters:

  - `card_id` (string, required)
    card_id

## Request fields (application/json):

  - `client_app_id` (string)
    Unique identifier for the client application. Use the value SolarisPushProvisioning.
    Enum: "SolarisPushProvisioning"

  - `client_device_id` (string)
    Stable identifier for a physical Android device. Samsung refers to this attribute as a Stable hardware ID in their SDK documentation. Use the getStableHardwareId method to retrieve this value.
    Example: "DeviceIDZIiG3a0DgF4mQfkC"

  - `client_wallet_account_id` (string)
    Unique 24-byte identifier for each instance of a [Android user, Samsung account] pair. Samsung computes the ID as a keyed hash of the Android user ID and the Samsung account ID. The key to this hash lives on Samsung's servers; the wallet ID is created during user setup as an RPC.
    Example: "Rwt3tJek_k1JxivcwbPHjKDk"

## Response 200 fields (application/json):

  - `id` (string)
    ID of the change request.
    Example: "d6c778822b2d7bd3b778935bcfd0d1d3csc"

  - `status` (string)
    The current status of the change request.
    Enum: "ACCEPTED", "AUTHORIZATION_REQUIRED", "CONFIRMATION_REQUIRED", "COMPLETED", "FAILED"

  - `updated_at` (string)
    UTC timestamp from the last time the change request was updated.
    Example: "2022-04-21T13:59:52+00:00"

  - `url` (string)
    URL to use to authorize the change request.
    Example: "https://example.com/authorize"

## Response 201 fields (application/json):

  - `wallet_payload` (string)
    The Google wallet payload.
    Example: "eyJhbGciOiJBMjU2R0NNS1ciLCJjaGFubmVsU2VjdXJpdHlDb250ZXh0IjoiU0hBUkVEX1NFQ1JFVCIsImVuYyI6IkEyNTZHQ00iLCJpYXQiOjE1NjYzMDUyNDIsIml2IjoiLVpMMGF4M0J2b1dRQjJhZyIsImtpZCI6IjhTTU5BWkRZTVFIQUFNNFU3S1ZZMTNDN0NlajVqdEVZbFI1MFhGRTdJd0R4RG9idE0iLCJ0YWciOiJDUW1DaWRFRkdFYkFyV3ViOU5IdkdRIiwidHlwIjoiSk9TRSJ9"

## Response 202 fields (*/*):

  - `id` (string)
    ID of the change request.
    Example: "d6c778822b2d7bd3b778935bcfd0d1d3csc"

  - `status` (string)
    The current status of the change request.
    Enum: "ACCEPTED", "AUTHORIZATION_REQUIRED", "CONFIRMATION_REQUIRED", "COMPLETED", "FAILED"

  - `updated_at` (string)
    UTC timestamp from the last time the change request was updated.
    Example: "2022-04-21T13:59:52+00:00"

  - `url` (string)
    URL to use to authorize the change request.
    Example: "https://example.com/authorize"

## Response 400 fields (application/json):

  - `errors` (array)
    Example: [{"id":"jhPSfNcJ9rB5F4IppoXoWkSetZGolcrINS","status":400,"code":"validation_error","title":"Validation Error","detail":"Failed to validate chain of trust for apple certificates with error - Certification path could not be validated."}]

  - `errors.id` (string)
    Error identifier

  - `errors.status` (integer)
    Error status

  - `errors.code` (string)
    Error code

  - `errors.title` (string)
    Error title

  - `errors.detail` (string)
    Error detail

## Response 403 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "403"

  - `code` (string)
    Example: "unauthorized_action"

  - `title` (string)
    Example: "Unauthorized Action"

  - `detail` (string)
    Example: "Unauthorized action is not allowed."

## Response 404 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "404"

  - `code` (string)
    Example: "model_not_found"

  - `title` (string)
    Example: "Model Not Found"

  - `detail` (string)
    Example: "Couldn't find 'Solaris::Identification' for id 'bbbcccfff388923eb899a5852df6cidt'."

## Response 500 fields (application/json):

  - `id` (string)
    Example: "e8915041-9d8c-4d96-9dd1-04e8522ecdbf"

  - `status` (string)
    Example: "500"

  - `code` (string)
    Example: "generic_error"

  - `title` (string)
    Example: "Generic Error"

  - `detail` (string)
    Example: "There was an error."


## Response 401 fields
